'use strict';
const RequireDir = require('require-dir');
const Path = require('path');
const TasksUtil = require('./gulp/util/utils');


exports = module.exports = {};

exports.setGulpConfig = function(config) {
    TasksUtil.gulpConfig = config;
};

exports.setMetalsmithConfig = function(config) {
    TasksUtil.metalsmithConfig = config;
};

exports.loadTasks = function() {
    const tasksDir = Path.join(__dirname, 'gulp', 'tasks');
    RequireDir(tasksDir, { recurse: true });
};


